# $Revision: 1.17 $, $Date: 2009/06/10 08:52:06 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading and writing optical discs
Summary(pl.UTF-8):	Biblioteka służąca do odczytywania i zapisywania dysków optycznych
Name:		libburn
Version:	0.6.6.pl00
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	7389f6d741c4695b5e2f3be7c24feb38
URL:		http://libburnia.pykix.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%description -l pl.UTF-8
Libburn jest wolnodostępną biblioteką służącą do odczytywania,
zarządzania i zapisywania dysków optycznych.

%package devel
Summary:	Header files for libburn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libburn
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libburn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libburn.

%package static
Summary:	Static libburn library
Summary(pl.UTF-8):	Statyczna biblioteka libburn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libburn library.

%description static -l pl.UTF-8
Statyczna biblioteka libburn.

%prep
%setup -q -n %{name}-0.6.6

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS COPYRIGHT README
%attr(755,root,root) %{_bindir}/cdrskin
%attr(755,root,root) %{_libdir}/libburn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libburn.so.4
%{_mandir}/man1/cdrskin.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libburn.so
%{_libdir}/libburn.la
%{_includedir}/libburn
%{_pkgconfigdir}/libburn-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libburn.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libburn.spec,v $
Revision 1.17  2009/06/10 08:52:06  amateja
- updated to 0.6.6

Revision 1.16  2009/06/09 09:33:06  amateja
- updated to 0.6.4.pl00

Revision 1.15  2009/02/28 07:30:12  duddits
- up to 0.6.2.pl00

Revision 1.14  2008/08/25 19:37:24  qboosh
- updated to 0.5.2.pl00

Revision 1.13  2008/07/11 19:25:30  qboosh
- updated to 0.4.8.pl00

Revision 1.12  2008/02/12 07:21:15  qboosh
- updated to 0.4.2

Revision 1.11  2007-11-03 01:16:22  qboosh
- updated to 0.4.0

Revision 1.10  2007/09/08 19:04:59  qboosh
- libburn on icculus.org seems stale, so switched to libburnia fork
- updated to 0.3.8

Revision 1.9  2007/07/23 17:29:50  witekfl
- added missing #

Revision 1.8  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.6  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.5  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.4  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.3  2005/06/15 15:57:06  witekfl
- full regeneration of configure
- added bcond_without static

Revision 1.2  2004/03/08 22:29:02  eothane
- up to 0.2

Revision 1.1  2003/12/28 19:51:53  grzegol
- new
